<div class="container">
    <div>
        <h2>Register PP</h2>
    </div>
    <p-tabView>
        <p-tabPanel header="PP Belum Register">
            <p-accordion>
                <p-accordionTab header="Filter" [selected]="false">
                    <div class="ui-g-6" style="border: 1px;">
                        <div class="ui-g-4; form-group">
                            <div class="ui-g-4">
                                <label class="form-control-label" for="field_PIC">PIC</label>
                            </div>
                            <div class="ui-g-6">
                                <p-dropdown 
                                [options]="pics" 
                                [(ngModel)]="selectedPIC"
                                id="field_PIC">
                            </p-dropdown>
                            </div>
                        </div>
                        <div class="ui-g-4; form-group">
                            <div class="ui-g-4">
                                <label class="form-control-label" for="field_Tipe">Type PP</label>
                            </div>
                            <div class="ui-g-6">
                                <p-dropdown 
                                [options]="ppTypes" 
                                [(ngModel)]="selectedPPtype"
                                id="field_Tipe">
                            </p-dropdown>
                            </div>
                        </div>
                        <div class="ui-g-6">
                            <button pButton type="submit"
                                label="Filter"
                                icon="fa-filter"
                                class="ui-button-primary flat-label-button"
                                (click)="filter()">
                            </button>
                            <button pButton
                                label="Reset Filter"
                                icon="fa-refresh"
                                class="ui-button-primary flat-label-button"
                                (click)="reset()">
                            </button>
                        </div>
                    </div>
                </p-accordionTab>
            </p-accordion>
            <div class="ui-g-12">
                <hr>
            </div>
            <div class="input-group w-100 mt-3">
                <button (click)="registerpp()" [disabled]="selected?.length == 0 || isDisable" type="button" class="btn btn-primary btn-filter">
                    <span>Register PP</span>
                </button>
                &nbsp;
                &nbsp;  
            </div>
            <br />
            <div class="modal-body">
                <p-dataTable 
                    [value]="purchaseOrders" 
                    [editable]="false" 
                    [rows]="itemsPerPage" 
                    [paginator]="true"
                    [pageLinks]="5" 
                    [rowsPerPageOptions]="[10,20,50]"
                    [totalRecords]="totalItems" 
                    [responsive]="true"
                    [lazy]="true" 
                    dataKey="idPurchaseOrder" 
                    (onLazyLoad)="loadDataLazy($event)"
                    [(selection)]="selected"
                    (onRowSelect)="onRowSelect($event)"
                    (onRowUnselect)="onRowUnselect($event)">
                    <p-header>
                        <!-- <form name="searchForm" class="form-inline">
                            <div class="input-group w-100 mt-3">
                                <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                                    name="currentSearch" placeholder="{{ 'mpmApp.inventoryItem.home.search' | translate }}">
                                <button class="input-group-addon btn btn-info flat-style-button" (click)="search(currentSearch)" *ngIf="currentSearch">
                                    <span class="fa fa-search"></span>
                                </button>
                                <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()" *ngIf="currentSearch">
                                    <span class="fa fa-trash-o"></span>
                                </button>
                            </div>
                        </form> -->
                    </p-header>
                    <p-column selectionMode="multiple" [style]="{'width':'38px'}"></p-column>
                    <p-column header="No" [style]="{'width': '70px', 'text-align': 'center'}">
                        <ng-template let-rowIndex="rowIndex" pTemplate="body">
                            {{rowIndex + 1}}
                        </ng-template>
                    </p-column>
                    <p-column header="Nomor PP"  [style]="{'width': '300px', 'text-align': 'center'}">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.noPurchaseOrder}}
                        </ng-template>
                    </p-column>        
                    <p-column header="Tanggal Buat">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.dtOrder | date:'dd-MM-yyyy'}}
                        </ng-template>
                    </p-column>
                    <p-column header="Tanggal Approve">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.dtApproved | date:'dd-MM-yyyy'}}
                        </ng-template>
                    </p-column>
                    <p-column header="Tipe">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.needs}}
                        </ng-template>
                    </p-column>
                    <p-column header="Nama Input">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.createdBy}}
                        </ng-template>
                    </p-column>
                    <p-column header="Nama PIC">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.pic}}
                        </ng-template>
                    </p-column>
                    <p-column header="Info Lain">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.komen}}
                        </ng-template>
                    </p-column>
                    <p-column header="Management">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            <div *ngIf="rowData.needs === 'Non Rutin'">
                                Debora
                            </div>
                        </ng-template>
                    </p-column>
                    <p-column header="Aksi"  [style]="{'width': '100px', 'text-align': 'center'}">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            <div *ngIf="rowData.contentContentType !== null">
                                <button pButton type="submit"
                                        icon="fa-eye"
                                        class="flat-button"
                                        pTooltip="Lihat Lampiran"
                                        (click)="openPDF(rowData.idPurchaseOrder)">
                                </button>
                                <button pButton type="submit"
                                        icon="fa-download"
                                        class="flat-button"
                                        pTooltip="Download Lampiran"
                                        (click)="download(rowData.idPurchaseOrder)">
                                </button>
                            </div>
                            <button pButton type="button"
                                        icon="fa-file-o"
                                        class="flat-button"
                                        pTooltip="Lihat PP"
                                        (click)="openPP(rowData.idPurchaseOrder,rowData.noPurchaseOrder)">
                                </button>
                        </ng-template>
                    </p-column>
                </p-dataTable>
               
            </div>
        </p-tabPanel>
        <p-tabPanel header="PP Sudah Register">
            <jhi-register-pp-receive></jhi-register-pp-receive>
        </p-tabPanel>
        <p-tabPanel header="PP Un-Register">
            <jhi-unregister-pp></jhi-unregister-pp>
        </p-tabPanel>
    </p-tabView>
</div>
<p-confirmDialog></p-confirmDialog>
